<?
if (isset($_REQUEST[session_name()])) 
@session_start();
$base_path='../';
$bp='../';

$tree_cat[0]=0;
$tree_reg[0]=0;

require_once('../connect/connect.php');
include_once('../lib/lib.php');

include_once($base_path.'cashe_catalog/_svod_catalog.php'); // дерево каталогов
if(file_exists($base_path.'cashe_region/_svod_region_0.php'))
include_once($base_path.'cashe_region/_svod_region_0.php'); // регионы первого уровня

if(file_exists($base_path.'cashe_n/_svod_rayon.php'))
include_once($base_path.'cashe_n/_svod_rayon.php'); // регионы первого уровня

$title='Добавление объявления';

if($_POST['submit'])
	{
	$rasp=intval($_POST['rasp']);
	$kol=intval($_POST['kol']);
	
	for($i=0; $i<4; $i++)
		{
		if(isset($_POST['razdel_'.$i]))
			{
			$id_catalog_real=intval($_POST['razdel_'.$i]);
			if(!$id_catalog_real)
				{
				$u=$i;
				break;
				}
			$id_catalog=$id_catalog_real;
			}
		}


	if($id_catalog)
		{
		include_once('../cashe_catalog/_svod_catalog_'.$id_catalog.'.php');
		for($i=1; $i<count($tree_cat); $i++)
			{
			$data['razdel_'.($i-1)][1] = $tree_cat[$i];
			$data['razdel'][1] = $arr_razdel[$tree_cat[($i-1)]][$tree_cat[$i]];
			}
			
		}
	
	for($i=0; $i<4; $i++)
		{
		if(isset($_POST['region_'.$i]))
			{
			$id_region_real=intval($_POST['region_'.$i]);
			if(!$i)
			$glob_region = intval($_POST['region_'.$i]);
			
			if(!$id_region_real)
				{
				break;
				}
			else
				{
				$tree_reg[($i+1)] = intval($_POST['region_'.$i]);
				$data['region_'.$i][1]=intval($_POST['region_'.$i]);
				}
			$id_region=$id_region_real;
			}
		}
		
	
	if($glob_region && file_exists($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'))
	include_once($base_path.'cashe_region/_svod_region_'.$glob_region.'.php'); // наш регион
	
	}

?>
<HTML><HEAD><TITLE><? echo $title; ?></TITLE>
<META http-equiv=content-type content="text/html; charset=utf-8">
<link rel="shortcut icon" href="<?=$bp?>icon/favicon.ico" type="image/x-icon">
<meta name="robots" content="nofollow" />
<link rel="stylesheet" href="../style/style.css" type="text/css"/>
<link rel="stylesheet" type="text/css" href="../style/jquery.fancybox.css" media="screen" />

<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="../js/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="../js/jquery.fancybox-1.2.1.pack.js"></script>
<script type="text/javascript" src="../js/fancy.js"></script>
</HEAD>
<BODY 
style="MARGIN: 0px auto; POSITION: inherit; width: 1000px">
<?
include_once($base_path."blok/top_form.php"); 
?>
<table cellpadding="10" cellspacing="10" width="100%"><tr><td valign="top">

<?
if($err) echo '<p><font color=red>ОШИБКА:<br>'.$err.'</font></p>';

?>

<form enctype="multipart/form-data" action="viget.php" method="post" name="form_edit" >
<table cellpadding="1" cellspacing="1" width="100%">
	
	
		<?
		for ($i=0; $i<4; $i++)
		{
		?>
<tr>
	<td width="200">
	<? if(!$i) echo 'Регион, город, район'; ?>
		<td  id="reg_<?=$i?>">
			<?
			if(count($arr_regions[$tree_reg[$i]]))
			{
			?>
			<select style="width: 150px" name="region_<?=$i?>" 
				<?
				if(!$i)
					{
					?>
					onChange="search_reg(<?=$i?>, this.value, this.value, 0); return false">
					<?
					}
				else
					{
					?>
					onChange="search_reg(<?=$i?>, this.value, <?=$glob_region?>, <?=$tree_reg[$i]?>); return false">
					<?
					}
				?>
			<option value="0"> - - - </option>
			<?
			foreach($arr_regions[$tree_reg[$i]] as $index=>$arr_region)
				{
				?>
				<option value="<?=$index?>" <? if($tree_reg[($i+1)]==$index) echo 'selected'; ?> ><?=$arr_region?></option>
				<?
				}
				?>
			</select>
			<input type="hidden" name="name_reg_<?=$i?>" id="name_reg_<?=$i?>" value="<?=$arr_regions[$tree_reg[$i]][$tree_reg[($i+1)]]?>">
			<?
			
			}
			?>
		</td>
		<?
		}
		?>
	
	<tr><td></td><td id="reg_4"></td></tr>

	
		<?
		for ($i=0; $i<4; $i++)
		{
		?>
<tr>
	<td>
	<? if(!$i) echo 'Раздел'; ?>
		<td  id="cat_<?=$i?>">
			<?
			if(count($arr_razdel[$tree_cat[$i]]))
			{
			?>
			<select style="width: 150px" name="razdel_<?=$i?>" onChange="search_cat(<?=$i?>, this.value); return false">
			<option value="0"> - - - </option>
			<?
			foreach($arr_razdel[$tree_cat[$i]] as $index=>$raz)
				{
				?>
				<option value="<?=$index?>" <? if($tree_cat[($i+1)]==$index) echo 'selected'; ?> ><?=$raz?></option>
				<?
				}
				?>
			</select>
			<?
			}
			?>
		</td>
		<?
		}
		?>
	
	<tr>
		<td></td>
		<td id="cat_4"></td></tr>
	
<tr>
<td>
Количество блоков
<td>
<select name="kol">
<?
for ($i=1; $i<11; $i++)
	{
	echo '<option value="'.$i.'" ';
	if($i==$kol) echo 'selected';
	echo ' >'.$i.'</option>';
	}
?>
</select>
	
<tr>
<td>
Расположение
<td>
<input type="radio" name="rasp" value="0" <? if($rasp==0) echo 'checked';?>> горизонтальное
<input type="radio" name="rasp" value="1" <? if($rasp==1) echo 'checked';?> > вертикальное

	
<tr>
<td colspan="2">
<input type="hidden" name="id_catalog" value="<?=$id_catalog?>">
<input name="submit" class="submit" type="submit" value="Добавить">

</table>
</form>

<? 
if($_POST['submit'])
	{
	$qq[0]=intval($id_region); //регион
	$qq[1]=intval($id_catalog); //каталог
	$qq[2]=$kol; //количество ьлоков
	$qq[3]=$rasp; //горизонтальное (0) -вертикальное (1)
	
	$viget = implode("_",$qq);
	include_once("../blok/viget.php");
	
	echo '<b>Код для вставки на сайт:</b><br><textarea cols="80" rows="5"><script language=JavaScript charset="UTF-8" src="'.$dir_viget.'informer/'.$viget.'.js"></script><script language=JavaScript charset="UTF-8" src="'.$dir_viget.'blok/viget.php?viget='.$viget.'"></script></textarea><p>';
	
	if($qq[3]==0)
	echo '<script charset="UTF-8" src="../informer/'.$viget.'.js"></script>';
	}
?>
</td>
<td valign="top">
<?
	if($qq[3]==1)
	echo '<script charset="UTF-8" src="../informer/'.$viget.'.js"></script>';
?>
</td>
</tr></table>
<?
include_once($base_path."blok/bottom_form.php"); 
?>
<script language="javascript">
			function search_cat(w, id_cat)
			{
			$.ajax({
					type: "GET",
					url: "<?=$bp.'add/'?>search_cat_two.php?w="+w+"&id_cat="+id_cat,
					success: function(html) {
					var v=w+1;
					for(var i=v; i<5; i++)
						{
						$("#cat_"+i).empty();
						}
					$("#param").empty();
					$("#cat_"+v).append(html);
                	}
        		});
			}
			
			function search_reg(w, id_reg, glob, m)
			{
			$.ajax({
					type: "GET",
					url: "<?=$bp.'add/'?>search_reg_two.php?w="+w+"&id_reg="+id_reg+"&glob="+glob+"&m="+m,
					success: function(html) {
					var v=w+1;
					for(var i=v; i<5; i++)
						{
						$("#reg_"+i).empty();
						}
					$("#reg_"+v).append(html);
                	}
        		});
			}
			
			function search_param(w, id_catalog)
			{
			$.ajax({
					type: "GET",
					url: "<?=$bp.'add/'?>search_param.php?w="+w+"&id_catalog="+id_catalog,
					success: function(html) {
					$("#param").html(html);
                	}
        		});
			}
			
			
			function send_element_two(car, id, two, field, viv)
			{
			$.ajax({
					type: "GET",
					url: "<?=$bp.'blok/'?>el_two.php?car="+car+"&id="+id+"&two="+two+"&field="+field+"&viv="+viv,
					success: function(html) {
						$("#www"+id).empty();
						$("#www"+id).append(html);
                	}
        		});
			}
			
			
        </script>  


</body>
</html>